import WindowCentering from './index';
import gsettings from 'gnome-shell-gsettings';

let settings;
let centering;

export function init() {
  settings = gsettings();
}

export function enable() {
  centering = new WindowCentering(settings.get_double('margin'));
  centering.enable();
}

export function disable() {
  centering.disable();
}
